<?php
/**
* @version $Id: mod_scorpion_videoheader.php
* 1.0.0 07-04-2017 Edwin Witlox $
* @copyright   Copyright (C) 2005 - 2017 Scorpion Computers and Software, Inc. All rights reserved.
* @license     GNU General Public License version 2 or later; http://www.gnu.org/copyleft/gpl.html
* @email 	   info@ScorpionComputers.nl
*/
// no direct access
defined('_JEXEC') or die('Restricted access');

// First we get the parameters from the module
$document = JFactory::getDocument();
$baseURL = JUri::root();
$imagefile1 = $params->get( 'imagefile1' );
$videofileMP4 = $params->get( 'videofileMP4' );
$videofileWEBM = $params->get( 'videofileWEBM' );
$videofileOGG = $params->get( 'videofileOGG' );
$videoBGColor = $params->get( 'videoBGColor' );
$playLoop = $params->get( 'playLoop' );
$autoPlay = $params->get( 'autoPlay' );
$showControls = $params->get( 'showControls' );
$playSound = $params->get( 'playSound' );

// We create html for every given video-format
$mp4Link = $webmLink = $oggLink = "";
if ($videofileMP4 && $videofileMP4 != -1) {
	$mp4Link = '<source src="'.$baseURL.'images/video/'.$videofileMP4.'" type="video/mp4" />';
}
if ($videofileWEBM && $videofileWEBM != -1) {
	$webmLink = '<source src="'.$baseURL.'images/video/'.$videofileWEBM.'" type="video/webm" />';
}
if ($videofileOGG && $videofileOGG != -1) {
	$oggLink = '<source src="'.$baseURL.'images/video/'.$videofileOGG.'" type="video/ogg" />';
}

// We set the values for the video atributes
$muteOrNot = $loopOrNot = $autoPlayOrNot = $videoControls = "";
if(!$playSound) { $muteOrNot = " muted"; }
if($playLoop) { $loopOrNot = " loop"; }
if($showControls) { $videoControls = " controls"; }
if($autoPlay) { $autoPlayOrNot = " autoplay"; }

// We first add the script and the stylesheet that belong to this module
$urlScript = $baseURL . 'modules/mod_scorpion_videoheader/mod_scorpion_videoheader.js';
$urlCSS = $baseURL. 'modules/mod_scorpion_videoheader/mod_scorpion_videoheader.css';
$document->addStyleSheet($urlCSS);
$document->addScript($urlScript);

// We change the background color to the selected color
$extraStyle = '.video-container {background-color:'.$videoBGColor.'}';
$document->addStyleDeclaration( $extraStyle );

// Now we set the HTML-code that needs to be implemented for this video module
$htmlCode = '<!-- Scorpion Video Header -->'
			. '<div class="homepage-hero-module">'
			. '<div class="video-container">'
			// . '<div class="filter"></div>'
			. '<video'.$videoControls.$autoPlayOrNot.$loopOrNot.$muteOrNot.' class="fillWidth">'
			. $mp4Link
			. $webmLink
			. $oggLink
			. 'Your browser does not support the video tag. I suggest you upgrade your browser.'
			. '</video>'
			. '<div class="poster hidden">'
			. '<img src="'.$imagefile1.'" alt="Scorpion Video Header image">'
			. '</div>'
			. '</div>'
			. '</div>';

echo $htmlCode;
// End of the code
?>
